## teleport 0.32

=== Makefile ===
PREFIX = /usr/local
PACKAGE = teleport
DEBUG = yes
CVSBUILD = no
VERSION = 0.32

LINGUAS = 

CPPFLAGS += -D_GNU_SOURCE

CFLAGS = $(GPECFLAGS) -Wall
CFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"
CFLAGS += -MD
LDFLAGS += $(GPELIBS)

MEMBERS = teleport crypt displays keygen tp-keygen

ifeq ($(CVSBUILD),yes)
# temporary hack to work around lack of pkg-config for libdisplaymigration
CFLAGS += -I../libdisplaymigration
LDFLAGS += -L../libdisplaymigration
endif

CFLAGS += `libgcrypt-config --cflags`
LDFLAGS += -ldisplaymigration `libgcrypt-config --libs`

ifeq ($(DEBUG),yes)
CFLAGS += -O -g
LDFLAGS += -g
else
CFLAGS += -Os -fomit-frame-pointer
LDFLAGS += 
endif

DEPS = $(patsubst %,%.d,$(MEMBERS))
OBJS = $(patsubst %,%.o,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: teleport all-mo tp-keygen

teleport: teleport.o crypt.o displays.o keygen.o
	$(CC) -o $@ $^ $(LDFLAGS) -lsqlite

tp-keygen: tp-keygen.o keygen.o
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f teleport tp-keygen tp-keygen.o $(OBJS) $(DEPS)

install-program: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -s teleport $(DESTDIR)$(PREFIX)/bin/
	install -s tp-keygen $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 teleport.png $(DESTDIR)$(PREFIX)/share/pixmaps
	install -d $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 teleport.desktop $(DESTDIR)$(PREFIX)/share/applications

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

## teleport 0.33

=== Makefile ===
PREFIX = /usr/local
PACKAGE = teleport
DEBUG = yes
CVSBUILD = no
VERSION = 0.33

LINGUAS = 

ifeq ($(CVSBUILD),yes)
# temporary hack to work around lack of pkg-config for libdisplaymigration
PACKAGE_CPPFLAGS += -I../libdisplaymigration
PACKAGE_LDFLAGS += -L../libdisplaymigration
endif
PACKAGE_CPPFLAGS += $(STANDARD_CPPFLAGS)
PACKAGE_CFLAGS += $(STANDARD_CFLAGS) $(GPECFLAGS) `libgcrypt-config --cflags`
PACKAGE_LDFLAGS += $(STANDARD_LDFLAGS) $(GPELIBS) -ltododb -ldisplaymigration -lgpepimc `libgcrypt-config --libs` -lsqlite

MEMBERS = teleport crypt displays keygen tp-keygen

DEPS = $(patsubst %,%.d,$(MEMBERS))
OBJS = $(patsubst %,%.o,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: teleport all-mo tp-keygen

teleport: teleport.o crypt.o displays.o keygen.o
	$(CC) -o $@ $^ $(LDFLAGS) $(PACKAGE_LDFLAGS)

tp-keygen: tp-keygen.o keygen.o
	$(CC) -o $@ $^ $(LDFLAGS) $(PACKAGE_LDFLAGS)

clean:
	rm -f teleport tp-keygen tp-keygen.o $(OBJS) $(DEPS)

install-program: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -s teleport $(DESTDIR)$(PREFIX)/bin/
	install -s tp-keygen $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 teleport.png $(DESTDIR)$(PREFIX)/share/pixmaps
	install -d $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 teleport.desktop $(DESTDIR)$(PREFIX)/share/applications

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

## teleport 0.34

=== Makefile ===
PREFIX = /usr/local
PACKAGE = teleport
DEBUG = yes
CVSBUILD = no
VERSION = 0.34

LINGUAS = 

PACKAGE_CPPFLAGS += $(STANDARD_CPPFLAGS)
PACKAGE_CFLAGS += $(STANDARD_CFLAGS) $(GPECFLAGS) `libgcrypt-config --cflags`
PACKAGE_LDFLAGS += $(STANDARD_LDFLAGS) $(GPELIBS) `libgcrypt-config --libs` -lsqlite

MEMBERS = teleport crypt displays dm-crypt keygen
KG_MEMBERS = tp-keygen keygen

DEPS = $(patsubst %,%.d,$(MEMBERS) $(KG_MEMBERS))
OBJS = $(patsubst %,%.o,$(MEMBERS))
KG_OBJS = $(patsubst %,%.o,$(KG_MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS) $(KG_MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: teleport all-mo tp-keygen

teleport: $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS) $(PACKAGE_LDFLAGS)

tp-keygen: $(KG_OBJS)
	$(CC) -o $@ $^ $(LDFLAGS) $(PACKAGE_LDFLAGS)

clean:
	rm -f teleport tp-keygen $(OBJS) $(DEPS) $(KG_OBJS)

install-program: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -s teleport $(DESTDIR)$(PREFIX)/bin/
	install -s tp-keygen $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 teleport.png $(DESTDIR)$(PREFIX)/share/pixmaps
	install -d $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 teleport.desktop $(DESTDIR)$(PREFIX)/share/applications

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

=== debian/changelog ===
teleport (0.34-7) unstable; urgency=low

  * Move from cdbs to dh 9.

 -- Moray Allan <moray@debian.org>  Sun, 25 Mar 2012 22:21:45 +0100

teleport (0.34-6) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.

 -- Moray Allan <moray@debian.org>  Sat, 24 Mar 2012 23:11:26 +0000

teleport (0.34-5) unstable; urgency=low

  * Add -lX11 to linker flags.  Closes: #556490.
  * Update standards version.
  * Use newer debhelper compatibility version.

 -- Moray Allan <moray@debian.org>  Sun, 08 May 2011 12:46:36 +0100

teleport (0.34-4) unstable; urgency=low

  * Removed unneeded old files from debian directory.
  * Update menu file for new menu policy.

 -- Moray Allan <moray@debian.org>  Sun, 16 Mar 2008 20:03:24 +0100

teleport (0.34-3) unstable; urgency=low

  * Update watch file URL.

 -- Moray Allan <moray@debian.org>  Fri, 16 Nov 2007 21:32:41 +0000

teleport (0.34-2) unstable; urgency=low

  * Remove debian/rules.old file.

 -- Moray Allan <moray@debian.org>  Mon, 17 Apr 2006 22:39:59 +0100

teleport (0.34-1) unstable; urgency=low

  * New upstream release.
  * Update watch file URL.

 -- Moray Allan <moray@debian.org>  Sat, 14 Jan 2006 17:44:35 +0000

teleport (0.33-3) unstable; urgency=medium

  * Move to libgcrypt11. Closes: #263674.

 -- Moray Allan <moray@debian.org>  Thu,  5 Aug 2004 13:32:46 +0100

teleport (0.33-2) unstable; urgency=low

  * Add cdbs to Build-Depends, and specify libgcrypt7-dev rather than generic
    libgcrypt-dev. Closes: #261301.

 -- Moray Allan <moray@debian.org>  Thu, 29 Jul 2004 01:31:12 +0100

teleport (0.33-1) unstable; urgency=low

  * New upstream release

 -- Moray Allan <moray@debian.org>  Tue, 20 Jul 2004 21:01:43 +0100

teleport (0.32-3) unstable; urgency=low

  * Use cdbs to build package.

 -- Moray Allan <moray@debian.org>  Sun, 18 Jul 2004 00:31:36 +0100

teleport (0.32-2) unstable; urgency=low

  * Add step-by-step example to README.Debian file.

 -- Moray Allan <moray@debian.org>  Fri, 16 Jan 2004 21:42:34 +0000

teleport (0.32-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@sermisy.org>  Fri,  7 Nov 2003 22:14:23 +0000

teleport (0.31.1-2) unstable; urgency=low

  * Add debian/watch file.
  * Add README.Debian file, minor additions to man pages.
  * Select the first window available for migration at startup.
  * Fix the button order to follow GNOME HIG.
  * Give an error if no windows support migration.

 -- Moray Allan <moray@sermisy.org>  Fri, 17 Oct 2003 02:50:06 +0100

teleport (0.31.1-1) unstable; urgency=low

  * Initial release. Closes: #201607.

 -- Moray Allan <moray@sermisy.org>  Sun, 13 Jul 2003 12:09:04 +0100

=== debian/control ===
Source: teleport
Section: x11
Priority: optional
Maintainer: Moray Allan <moray@debian.org>
Build-Depends: debhelper (>= 9), libgpewidget-dev, libdisplaymigration-dev, libgcrypt11-dev, libsqlite0-dev
Standards-Version: 3.9.3

Package: teleport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: moves running applications between displays
 Teleport allows some applications to be moved between X displays without
 being closed and restarted. It uses X properties to request that applications
 which support the display migration protocol move to another display.
 .
 Note that few applications or toolkits currently support the display
 migration protocol.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	make DESTDIR=debian/teleport/ PREFIX=/usr

override_dh_auto_install:
	make install DESTDIR=debian/teleport/ PREFIX=/usr

=== debian/watch ===
version=2

http://gpe.linuxtogo.org/download/source/teleport-(.*)\.tar\.gz \
	debian	uupdate
